# https://github.com/jquast/wcwidth/archive/0.1.7.tar.gz
%global module wcwidth

Name:           python-%{module}
Version:        0.1.7
Release:        %mkrel 2
Summary:        Measures number of Terminal column cells of wide-character codes

License:        MIT
Group:          Development/Python
URL:            https://github.com/jquast/wcwidth
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}.
Group:          Development/Python

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}

%files
%doc LICENSE.txt README.rst
%{python_sitelib}/*

%files -n python3-%{module}
%doc LICENSE.txt README.rst
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 0.1.7-2pclos2022
- rebuild against updates

* Fri Apr 06 2018 marcin82 <fixxer1982 at gmail.com> 0.1.7-1pclos2018
- initial build for PCLinuxOS
